Bug 6886

Summary: NoClassDefFoundError thrown during start of IDE on JDK1.2.2
Product: debugger Reporter: Jan Stola <jstola>
Component: JavaAssignee: Jan Jancura <jjancura>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 3.x   
Target Milestone: TBD   
Hardware: PC   
OS: Windows ME/2000   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Jan Stola 2000-06-23 13:56:05 UTC
It seems that missing JPDA debugger in JDK1.2.2 is badly treated.
Thrown exception:

java.lang.NoClassDefFoundError: com/sun/jdi/request/DuplicateRequestException
        at org.netbeans.modules.debugger.jpda.JPDADebuggerModule.restored
(JPDADebuggerModule.java:73)
        at org.netbeans.core.ModuleItem.restoreCode(ModuleItem.java:430)
        at org.netbeans.core.ModuleInstaller.initialize(ModuleInstaller.java,
Compiled Code)
        at org.netbeans.core.NonGui.run(NonGui.java:368)
        at org.netbeans.core.Main.run(Main.java:191)
        at org.openide.TopManager.initializeTopManager(TopManager.java:115)
        at org.openide.TopManager.getDefault(TopManager.java, Compiled Code)
        at org.netbeans.core.Main.main(Main.java:275)
        at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
        at java.lang.Thread.run(Thread.java:479)
Comment 1 Jan Stola 2000-07-27 17:37:59 UTC
Bug assigned to the module owner.
Comment 2 Quality Engineering 2003-06-30 17:36:25 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo